[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetProp

Adds a property to a window.

## Declaration

Source position: winapih.inc line 251

`public function TWidgetSet.SetProp(`
`Handle: HWND;`
`Str: PChar;`
`Data: Pointer`
`):Boolean; virtual;`

## Arguments

`Handle` |  | The window handle.
`Str` |  | The property name.
`Data` |  | Pointer to the property data.

## Function result

False on failure.

## See also

TWidgetSet.GetProp |  | Retrieves a property value for a window.